// -- Utility functions

// Ensure that we have X amount of an inventory item
void InvEnsure(str item, int amt)
{
	int cnt = CheckInventory(item);
	if (amt > cnt)
		GiveInventory(item, amt-cnt);
	else if (cnt > amt)
		TakeInventory(item, cnt - amt);
}

// Check if a button was pressed ONCE, not held
bool ButtonPressed(int input, int BT = -1, int OBT = -1)
{
	if (BT == -1)
		BT = GetPlayerInput(-1, INPUT_BUTTONS);
	if (OBT == -1)
		OBT = GetPlayerInput(-1, INPUT_OLDBUTTONS);
		
	if( (BT & input) && !(OBT & input) )
		return true;
		
	return false;
}