str lastWeapon[MAXPLAYERS];

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// LASTWEAPONHANDLER
// This script loops over and over again, stores our last wep
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

script "LastWeaponHandler" (void)
{
    int pn            = PlayerNumber();
    str currentWeapon = GetWeapon();
	str temp;
	int switchFix = 0;
    lastWeapon[pn]    = currentWeapon;
    
    while (true)
    {
		str GW = GetWeapon();
		
		// We don't want to quick-swap BACK to these
		if (StrICmp(GW, "Syringe") == 0 || StrICmp(GW, "MenuWeapon") == 0)
		{
			if (!switchFix)
			{
				switchFix = 1;
				temp = currentWeapon;
				currentWeapon = lastWeapon[pn];
				lastWeapon[pn] = temp;
			}
		}
		else
		{
			// We switched weapons
			if (StrICmp(currentWeapon, GW))
			{
				lastWeapon[pn] = currentWeapon;
				WeaponSwitched(GW);
			}
			switchFix = 0;
			currentWeapon = GW;
		}
		
		
        Delay(1);
    }
}

// We switched to a new weapon!
void WeaponSwitched(str wep) { }

// Switch to the last weapon we had selected
void SwitchToLast()
{
    int pn = PlayerNumber();
    SetWeapon(lastWeapon[pn]);
}

// PUKABLE
script "LastWeapon" (void) net { SwitchToLast(); }